Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deDynamicList Class Reference

`#include <deShared.hpp>`

List of all members.

## Public Member Functions
| deDynamicList (const unsigned int Size, const unsigned int Count, const unsigned int Growth, const deDynamicListClearType ClearType)
| deDynamicList (deDynamicList &deDynamicListSource)
| ~deDynamicList ()
deBoolean | GetCreationResult (void)
deBoolean | AddElement (void *Element)
deBoolean | InsertElementBefore (void *Element)
deBoolean | InsertElementAfter (void *Element)
deBoolean | DeleteElement (void)
void * | GetFirstElement (void)
void * | GetNextElement (void)
void * | GetPreviousElement (void)
void * | GetLastElement (void)
## Private Member Functions
void * | FindOpenSlot (void)
deBoolean | GrowList (unsigned int SizeIncrease)
## Private Attributes
deBoolean | CreationResult
void * | List
void * | FirstElement
void * | LastElement
void * | CurrentElement
unsigned int | ElementSize
unsigned int | ListEntrySize
unsigned int | GrowthRate
unsigned int | ListSize
unsigned int | CurrentElementCount
unsigned int | ElementOffset
unsigned int | PrevOffset
unsigned int | NextOffset
deDynamicListClearType | ListClearType

## Constructor & Destructor Documentation

deDynamicList::deDynamicList | ( | const unsigned int | Size,
|  | const unsigned int | Count,
|  | const unsigned int | Growth,
|  | const deDynamicListClearType | ClearType
| ) |

deDynamicList::deDynamicList | ( | deDynamicList & | deDynamicListSource | ) |

deDynamicList::~deDynamicList | ( |  | ) |

## Member Function Documentation

deBoolean deDynamicList::AddElement | ( | void * | Element | ) |

deBoolean deDynamicList::DeleteElement | ( | void |  | ) |

void * deDynamicList::FindOpenSlot | ( | void |  | ) | `[private]`

deBoolean deDynamicList::GetCreationResult | ( | void |  | ) | `[inline]`

void * deDynamicList::GetFirstElement | ( | void |  | ) |

void * deDynamicList::GetLastElement | ( | void |  | ) |

void * deDynamicList::GetNextElement | ( | void |  | ) |

void * deDynamicList::GetPreviousElement | ( | void |  | ) |

deBoolean deDynamicList::GrowList | ( | unsigned int | SizeIncrease | ) | `[private]`

deBoolean deDynamicList::InsertElementAfter | ( | void * | Element | ) |

deBoolean deDynamicList::InsertElementBefore | ( | void * | Element | ) |

## Member Data Documentation

deBoolean deDynamicList::CreationResult`[private]`

void* deDynamicList::CurrentElement`[private]`

unsigned int deDynamicList::CurrentElementCount`[private]`

unsigned int deDynamicList::ElementOffset`[private]`

unsigned int deDynamicList::ElementSize`[private]`

void* deDynamicList::FirstElement`[private]`

unsigned int deDynamicList::GrowthRate`[private]`

void* deDynamicList::LastElement`[private]`

void* deDynamicList::List`[private]`

deDynamicListClearType deDynamicList::ListClearType`[private]`

unsigned int deDynamicList::ListEntrySize`[private]`

unsigned int deDynamicList::ListSize`[private]`

unsigned int deDynamicList::NextOffset`[private]`

unsigned int deDynamicList::PrevOffset`[private]`

The documentation for this class was generated from the following files:

- deShared.hpp
- deDynamicList.cpp